Summary:	Atomic operations implementation
Summary(pl.UTF-8):	Implementacja operacji atomowych
Name:		libatomic_ops
Version:	7.8.2
Release:	1
License:	MIT-like (libatomic_ops), GPL v2+ (libatomic_ops_gpl)
Group:		Libraries
#Source0Download: https://github.com/ivmai/libatomic_ops/wiki/Download
Source0:	https://github.com/ivmai/libatomic_ops/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d07b3d8369d7f9efdca59f7501dd1117
URL:		https://github.com/ivmai/libatomic_ops/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of
code that involves minimum overhead across a variety of architectures.

%description -l pl.UTF-8
Pakiet udostępnia implementacja atomowych operacji uaktualnień pamięci
dla wielu architektur. Pozwala to na ich bezpośrednie wykorzystanie we
w miarę przenośnym kodzie. W przeciwieństwie do innych podobnych
pakietów ten uwzględnia semantykę barier pamięciowych i pozwala na
konstruowanie kodu na wielu różnych architekturach z minimalnym
narzutem.

%package devel
Summary:	Header files for libatomic_ops libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libatomic_ops
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libatomic_ops libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libatomic_ops.

%package static
Summary:	Static libatomic_ops libraries
Summary(pl.UTF-8):	Statyczne biblioteki libatomic_ops
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libatomic_ops libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libatomic_ops.

%prep
%setup -q

%build
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libatomic*.la
# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libatomic_ops/{AUTHORS,COPYING,ChangeLog,LICENSE,README.md,README*.txt}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README.md README_details.txt README_malloc.txt README_stack.txt
%attr(755,root,root) %{_libdir}/libatomic_ops.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatomic_ops.so.1
%attr(755,root,root) %{_libdir}/libatomic_ops_gpl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatomic_ops_gpl.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatomic_ops.so
%attr(755,root,root) %{_libdir}/libatomic_ops_gpl.so
%{_includedir}/atomic_ops*.h
%{_includedir}/atomic_ops
%{_pkgconfigdir}/atomic_ops.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a
%changelog
* Sat Feb 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libatomic_ops.git;a=log;h=master

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> a6677f7
- updated to 7.8.2

* Thu Jul 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 366bdb7
- updated to 7.8.0

* Sat Aug 27 2022 Jan Palus <atler@pld-linux.org> c38b45c
- up to 7.6.14

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> 5b3323e
- up to 7.6.12

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> e9c990a
- updated to 7.6.10

* Sun Feb 17 2019 Jakub Bogusz <qboosh@pld-linux.org> d7ef5bc
- updated to 7.6.8

* Sun Feb 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 11f3e6c
- Merge remote-tracking branch 'origin/DEVEL'

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> b55d582
- updated version comment

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 75d10eb
- updated to 7.4.4
- build shared library (like Fedora, Mageia and LFS; Debian and SuSE use static only)

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 09e8033
- new URLs, updated to 7.2g

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 05cc158
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> adedc40
- updated to 7.2e

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 373e7c7
- use 7.2d as version; noted download URL

* Sun Jan 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 961ccb5
- up to 7.2d

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1ccd3ff
- updated to 7.2
- removed obsolete ppc patch

* Tue Aug 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 112b7cc
- rel 2; fix header on ppc

* Tue Aug 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f11ee42
- new

* Wed May 30 2007 Jakub Bogusz <qboosh@pld-linux.org> d38a66c
- new

